Bug 125106 - [maintainer-update|patch] irc/ircd-ratbox-devel: update to ratbox-3 beta7
Summary: [maintainer-update|patch] irc/ircd-ratbox-devel: update to ratbox-3 beta7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-30 01:00 UTC by moggie
Modified: 2008-07-03 00:40 UTC (History)
0 users

See Also:


Attachments
ircd-ratbox-devel-3.0.0beta7.diff (15.29 KB, patch)
2008-06-30 01:00 UTC, moggie
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description moggie 2008-06-30 01:00:13 UTC
Updated ircd-ratbox-devel port to latest beta7 testing release of ircd-ratbox-3.0.0.

Changes:
  o sqlite3 dependency restored.
  o Added support for services' ircd-shortcut commands make options.
  o Added dependency on PERL for generation of ircd-shortcut modules.
  o The example EFNet configuration file is not helpful because it has not been updated
    for ratbox-3. It therefore is not installed as standard by this port version, but should
    be back in the next update.

Software changes include:
  o Change -lock klines and friends to now use the ADMINKLINE etc commands.
  o Change to only support TS6.
  o Fix remote kline reasons.
  o Have sqlite3 checking use pkg-config when possible.
  o Move identd checking back into the ircd, this seems to have been more
    problematic than what it was worth.
  o Add experimental gnutls support - note that CHALLENGE does not work when using
    just gnutls.
  o Some helpfile cleanups and additions.
  o Fix compile error when zlib is not found.
  o Remove some restrictions on k/d/x/resv reasons that are no longer needed.
Comment 1 Edwin Groothuis freebsd_committer 2008-06-30 01:00:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

beech@ wants this category PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2008-07-03 00:36:42 UTC
beech       2008-07-02 23:36:37 UTC

  FreeBSD ports repository

  Modified files:
    irc/ircd-ratbox-devel Makefile distinfo pkg-plist 
    irc/ircd-ratbox-devel/files patch-doc_Makefile.in 
                                patch-doc_example.conf 
                                patch-doc_example.efnet.conf 
                                patch-include_config.h 
                                pkg-message.in 
  Added files:
    irc/ircd-ratbox-devel/files patch-contrib_ircd-shortcut.pl 
  Log:
  - Update to 3.0.0.b7
  
  Changes:
  o sqlite3 dependency restored.
  o Added support for services' ircd-shortcut commands make options.
  o Added dependency on PERL for generation of ircd-shortcut modules.
  o The example EFNet configuration file is not helpful because it has not been updated
  for ratbox-3. It therefore is not installed as standard by this port version, but should
  be back in the next update.
  
  Software changes include:
  o Change -lock klines and friends to now use the ADMINKLINE etc commands.
  o Change to only support TS6.
  o Fix remote kline reasons.
  o Have sqlite3 checking use pkg-config when possible.
  o Move identd checking back into the ircd, this seems to have been more
  problematic than what it was worth.
  o Add experimental gnutls support - note that CHALLENGE does not work when using
  just gnutls.
  o Some helpfile cleanups and additions.
  o Fix compile error when zlib is not found.
  o Remove some restrictions on k/d/x/resv reasons that are no longer needed.
  
  PR:             ports/125106
  Submitted by:   Lewis <moggie@elasticmind.net> (maintainer)
  
  Revision  Changes    Path
  1.12      +69 -4     ports/irc/ircd-ratbox-devel/Makefile
  1.8       +3 -3      ports/irc/ircd-ratbox-devel/distinfo
  1.1       +11 -0     ports/irc/ircd-ratbox-devel/files/patch-contrib_ircd-shortcut.pl (new)
  1.4       +1 -1      ports/irc/ircd-ratbox-devel/files/patch-doc_Makefile.in
  1.4       +10 -10    ports/irc/ircd-ratbox-devel/files/patch-doc_example.conf
  1.4       +0 -59     ports/irc/ircd-ratbox-devel/files/patch-doc_example.efnet.conf
  1.3       +5 -5      ports/irc/ircd-ratbox-devel/files/patch-include_config.h
  1.6       +5 -3      ports/irc/ircd-ratbox-devel/files/pkg-message.in
  1.7       +6 -3      ports/irc/ircd-ratbox-devel/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Beech Rintoul freebsd_committer 2008-07-03 00:37:11 UTC
State Changed
From-To: open->closed

Committed, Thanks!